at-spi2-core-2.32.1

Introduction to At-Spi2 Core

The At-Spi2 Core package is a part of the GNOME Accessibility Project. It provides a Service Provider Interface for the Assistive Technologies available on the GNOME platform and a library against which applications can be linked.

This package is known to build and work properly using an LFS-9.0 platform.

Package Information

At-Spi2 Core Dependencies

Required

dbus-1.12.16, GLib-2.60.6, and Xorg Libraries

Optional (Required if building GNOME)

gobject-introspection-1.60.2

Optional

GTK-Doc-1.31

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/at-spi2-core

Installation of At-Spi2 Core

Install At-Spi2 Core by running the following commands:

mkdir build &&
cd    build &&

meson --prefix=/usr     \
      --sysconfdir=/etc \
      -Dsystemd_user_dir=no .. &&
ninja

A session bus address, normally available in an Xorg terminal, is necessary to run the tests. To test the results, issue: ninja test. The memory test is known to timeout.

Now, as the root user:

ninja install

Command Explanations

-Dsystemd_user_dir=no: This flag disables the installation of systemd unit files on SysV, where they are unable to be used.

Contents

Installed Programs: None
Installed Library: libatspi.so
Installed Directories: /usr/include/at-spi-2.0, /usr/share/defaults/at-spi2, and /usr/share/gtk-doc/html/libatspi

Short Descriptions

libatspi.so

contains the At-Spi2 API functions.

Last updated on 2019-08-16 22:24:05 -0500